Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jan 2016 15:06:17 +0200

> From: Michael Albinus <[email-masked]>
> Date: Sat, 09 Jan 2016 14:00:54 +0100
> Cc: [email-masked]
> 
> Yes, setting the coding system to utf-8-hfs let pass Tramp tests on OS
> X. Except for the R2L Arabic string, but I can live with this.

Do you understand why the Arabic string fails?  Bidirectional scripts
have nothing to do with file names: file names are always stored in
strict logical order of the characters.

Can you show 2 strings that fail the test, and tell why they fail it
(i.e. which test fails to match the ert predicate)?  Maybe I can then
tell how to fix that for OS X.

Thanks.